Skip to main content
PATCH
Update Cell
Edit the value of a text column cell. Only cells in text type columns can be edited directly — non-text column cells are computed automatically. Editing a cell marks downstream dependent cells as stale. Editing a cell creates a new sheet version. The response returns version, and cells include last_computed_version when they were produced by computation.

Authorizations

X-API-KEY
string
header
required

Path Parameters

table_id
string<uuid>
required
sheet_id
string<uuid>
required
cell_id
string<uuid>
required

Body

application/json
display_value
string | null

Human-readable display value.

value
any

Structured value to store.

Response

Cell updated

success
boolean
cell
object

A single cell at the intersection of a column and a row.

version
integer

Current sheet version_count for this response. It matches the sheet's version_count after any committed changes.

stale_count
integer

Number of downstream cells marked stale due to this edit.